<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMASSETCLEAREditViewBase from './emassetclearedit-view-base.vue';

import view_form from '@widgets/emasset-clear/main2-form/main2-form.vue';

/**
 * 资产清盘记录
 *
 * @export
 * @class EMASSETCLEAREditView
 * @extends {EMASSETCLEAREditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMASSETCLEAREditView extends EMASSETCLEAREditViewBase { }
</script>